From ddbf345e2d9405fe6002324a82e33a9ee5c5e4c3 Mon Sep 17 00:00:00 2001
From: "Bradford D. Boyle" <bradford.d.boyle@gmail.com>
Date: Tue, 20 Aug 2024 23:03:47 -0700
Subject: [PATCH] vip-manager: Tweak etcd patches for older dists

---
 jenkins/generate-pgdg-source | 13 +++++++++++++
 1 file changed, 13 insertions(+)

diff --git a/jenkins/generate-pgdg-source b/jenkins/generate-pgdg-source
index 1ab5f8f..7b05f18 100755
--- a/jenkins/generate-pgdg-source
+++ b/jenkins/generate-pgdg-source
@@ -328,6 +328,19 @@ case $PACKAGE in
         TWEAK+=("Remove netip-port patch.")
         ;;
     esac
+    case ${distribution:-} in
+      bookworm|bullseye|nobel|mantic)
+        sed -i -e '/etcd-3.5-build-fixes.patch/d' debian/patches/series
+        TWEAK+=("Disable etcd-3.5-build-fixes patch.")
+    esac
+    ;;
+  vip-manager2)
+    case ${distribution:-} in
+      bookworm|bullseye|noble|mantic|jammy)
+        sed -i -e 's/etcd-3.5-build-fixes.patch/etcd-3.4-build-fixes.patch/' debian/patches/series
+        TWEAK+=("Switch etcd-3.4-build-fixes patch for etcd-3.5-build-fixes.")
+        ;;
+    esac
     ;;
 esac
 
-- 
2.46.0

